<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
    layout:decorate="~{admin/dashboardLayout.html}">
  <head>

  </head>
      <body>
        <section class="row" layout:fragment="content">
            <div class="col-6 offset-3 mt-4">
            <form th:action="@{/admin/categories/saveOrUpdate}" method="post" th:object="${category}">
                <div class="card">
                    <div class="card-header">
                        <h2>Add New Category</h2>
                    </div>
                    <div class="card-body">
                        <div class="form-group">
                            <label for="categoryId">Category ID:</label>
                            <input type="hidden" th:filed="*{isEdit}">
                            <input type="text" class="form-control" th:field="*{categoryId}" id="categoryId"
                            aria-describedby="categoryIdHid" placeholder="Category ID" readonly>
                            <small th:if="${#fields.hasErrors('categoryId')}"
                                    id="categoryIdHid" class="form-text text-muted">Category id is required</small>
                        </div>
                        <div class="form-group">
                            <label for="name">Name</label>
                            <input type="text" class="form-control" th:field="*{name}" id="name"
                            aria-describedby="nameHid" placeholder="Category Name">
                            <small th:if="${#fields.hasErrors('name')}"
                                    id="nameHid" class="form-text text-muted">Name is required</small>
                        </div>
                    </div>
                    <div class="card-footer text-muted">
                        <button type="reset" class="btn btn-secondary">Reset</button>
                        <a th:href="@{/admin/categories}" class="btn btn-success">List Categories</a>
                        <button class="btn btn-primary"><i class="fas fa-save"></i>
                            <span th:if="${category.isEdit}">Update</span>
                            <span th:unless="${category.isEdit}">Save</span>
                        </button>
                    </div>
                </div>
            </form>
            </div>
        </section>
      </body>
</html>
